VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
CViewContainer::Iterator< reverse > Class Template Reference

## Public Types
using | IteratorType = typename std::conditional< reverse, ChildViewConstReverseIterator, ChildViewConstIterator >::type

## Public Member Functions
| Iterator (const CViewContainer *container)
| Iterator (const Iterator< reverse > &vi)
| Iterator (Iterator< reverse > &&o)
Iterator< reverse > & | operator++ ()
Iterator< reverse > | operator++ (int)
Iterator< reverse > & | operator-- ()
CView * | operator* () const

## Protected Attributes
const ViewList & | children
IteratorType | iterator

## Member Typedef Documentation

using IteratorType = typename std::conditional<reverse, ChildViewConstReverseIterator, ChildViewConstIterator>::type

## Constructor & Destructor Documentation

Iterator | ( | const CViewContainer * | container | ) |
| inline explicit

Iterator | ( | const Iterator< reverse > & | vi | ) |
| inline explicit

Iterator | ( | Iterator< reverse > && | o | ) |
| inline

## Member Function Documentation

CView* operator* | ( |  | ) | const
| inline

Iterator<reverse>& operator++ | ( |  | ) |
| inline

Iterator<reverse> operator++ | ( | int |  | ) |
| inline

Iterator<reverse>& operator-- | ( |  | ) |
| inline

## Member Data Documentation

const ViewList& children
| protected

IteratorType iterator
| protected

The documentation for this class was generated from the following file:

- cviewcontainer.h